<template>
  <div class="container">
    <div class="col-md-8 mx-auto mt-5 py-5" @submit.prevent="pressad">
      <div class="card">
        <div class="card-header">
          <h1>Login</h1>
        </div>
        <div
          v-show="warningMail"
          id="warning"
          class="alert alert-danger"
          role="alert"
        >
          correo y contrasña incorrect !
        </div>

        <div class="form-group">
          <input
            type="email"
            placeholder="Correo"
            class="form-control"
            v-model="email"
          />
        </div>
        <div class="form-group">
          <input
            type="password"
            placeholder="Contraseña"
            class="form-control"
            v-model="pasword"
          />
        </div>

        <div class="form-group">
          <div class="form-group">
            <input
              type="submit"
              class="btn btn-primary"
              @click="Login"
              value="Entrar"
            />
          </div>
          <div class="form-group">
            <router-link to="/Regest">
              <a href>Regestrar</a>
            </router-link>
          </div>
          <div class="form-group col-md-6 mx-auto ">
            <button @click="GooGle" class="btn btn-light">
              <img src="@/assets/logogoogle.png" width="15%" /> Regístrese
              usando Google
            </button>
          </div>
        </div>
      </div>
    </div>
    <Nav v-if="show" :idActualUser='idActualUser'/>
  </div>
</template>

<script>
import Nav from "@/components/Nav/Nav.vue"
import firebase from "firebase";
//import api from "@/api.js";
export default {
  name: "Login",
components:{
  Nav,
},
  data() {
    return {
      email: null,
      pasword: null,
      idActualUser: "",
      warningMail: false,
      login: [],
      show:false
    };
  },
  beforeCreate() {
    var firebaseConfig = {
      apiKey: "AIzaSyDHJAImX0CZ61x3YklLHKrERXYsah0vR-s",
      authDomain: "hairdresser-fdd22.firebaseapp.com",
      databaseURL: "https://hairdresser-fdd22.firebaseio.com",
      projectId: "hairdresser-fdd22",
      storageBucket: "hairdresser-fdd22.appspot.com",
      messagingSenderId: "914790914516",
      appId: "1:914790914516:web:d85a22ed9f890f13efde41",
      measurementId: "G-9PQNQNME5B",
    };

    firebase.initializeApp(firebaseConfig);
  },

  methods: {
    async Login() {
      /*
      const response = await api.login(this.email, this.pasword);

      if (response.ok) {
        this.$router.push("/form");
      } else {
        this.error = response.error;
        this.email = "";
        this.pasword = "";
      }*/
      /* if (this.email === null || this.pasword === null) {
        this.warningMail = true;
      } else {*/
      this.login = await firebase
        .auth()
        .signInWithEmailAndPassword(this.email, this.pasword);
      this.idActualUser = this.login.user.uid;
      this.goToAPPOINTMENT();
      //  const uid = this.id.uid;
      // console.log(uid)

      //  }
    },
    goToAPPOINTMENT() {
      let idActualUser = this.idActualUser;
      this.$router.push("/form/" + idActualUser);
    },

    async GooGle() {
      var provider = new firebase.auth.GoogleAuthProvider();
      this.login = await firebase.auth().signInWithPopup(provider);
      this.$router.push("/form/" + this.login.user.uid);
    },
  },
};
</script>

<style scoped></style>
